# Rate Plans

A rate plan is part of a subscription or an amendment to a subscription, and it comes from a product rate plan. Like a product and its product rate plans, a subscription can have one or more rate plans. 
Rate plans are sometimes called subscription rate plans. Rate plans that are part of an amendment are sometimes called amendment rate plans.

Rate plans represent a price or a collection of prices for a service you sell. An individual rate plan contains all charges specific to a particular subscription.


## Retrieve a rate plan

 - [GET /v1/rateplans/{ratePlanId}](https://developer.zuora.com/v1-api-reference/api/rate-plans/get_rateplan.md): Retrieves the detailed information about a specific subscription rate plan.


- If you have the Orders
feature enabled, this operation retrieves information about a subscription rate
plan and the related order that has amended the rate plan.


- If you have the Orders Harmonization
feature enabled, this operation retrieves information about a subscription rate plan and the related order and amendment that have amended the rate plan.
The returned objects may be different since amendment, order, and order action are generated asynchronously.
  - If all are generated, the related amendment and order, including the order action, are returned. 
  - If not, only the related amendment may be returned before generating the order and order action.


- If you are an existing Zuora Subscribe and Amend customer, this operation retrieves
information about a subscription rate plan and the related amendment that has
amended the rate plan.


Note: Orders is now generally available as of Zuora Billing Release 284 (August
2020). If you are an existing Zuora Subscribe and Amend customer and want to adopt
Orders, see What is Orders Harmonization
and join the Orders Harmonization community group
for more information. If you want to enable Orders, submit a request at Zuora
Global Support.


Note: You can only retrieve information about the following order actions:

- addProduct
- updateProduct
- removeProduct
- changePlan

